%This function states the non-stochastic steady state equations

% modified KM 22/06/2005


function y=SSequations(x);
[PAR_alpha, PAR_beta, PAR_delta, PAR_psi, PAR_gamma, PAR_g, PAR_mu,PAR_Lbar, PAR_taulbar, PAR_taux, PAR_rho, PAR_sigmatau, PAR_sigmaz]=parameters;

%1:C 2:K 3:L 4:Y 5:prod

[rows,cols]=size(x);

n=1;
while n<=cols;
y(1,n)=x(1,n)+(1+PAR_gamma-(1-PAR_delta)/exp(PAR_mu))*x(2,n)-x(4,n);
y(2,n)=(x(2,n)/exp(PAR_mu))^(PAR_alpha)*x(3,n)^(1-PAR_alpha)-x(4,n);
y(3,n)=PAR_psi*x(3,n)/(PAR_Lbar-x(3,n))-(1-PAR_taulbar)*(1-PAR_alpha)*x(4,n)/x(1,n);
y(4,n)=PAR_beta*((1+PAR_taux)*(1-PAR_delta)+PAR_alpha*x(4,n)*exp(PAR_mu)/x(2,n))/exp(PAR_mu)-(1+PAR_taux);
y(5,n)= x(5,n)-x(4,n)/x(3,n);
n=n+1;
end;
